#version 450

layout(set = 0, binding = 0) uniform SceneUniformBuffer {
  mat4 view;
  mat4 proj;
} scene_ubo;

layout(set = 2, binding = 1) uniform ObjectUniformBuffer {
  mat4 model;
} object_ubo;

layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec3 inColor;
layout(location = 2) in vec2 inTex;

layout(location = 0) out vec3 fragColor;
layout(location = 1) out vec2 fragTex;

void main() {
  gl_Position = scene_ubo.proj * scene_ubo.view * object_ubo.model * vec4(inPosition, 1.0);
  fragColor = inColor;
  fragTex = inTex;
}
